=== debian/changelog ===
open-iscsi (2.0.872-2) unstable; urgency=low

  * Upload to unstable 

 -- Ritesh Raj Sarraf <rrs@debian.org>  Wed, 14 Sep 2011 14:26:00 +0530

open-iscsi (2.0.872-1) experimental; urgency=low

  * New Upstream Release  
  * [cccd5a9] Use udevadm to check for existense of udev.
    Thanks to Marco d'Itri (Closes: #622209)
  * [ddb81e4] Drop patches, merged upstream
  * [25aa1d9] disable security and slp support
  * [89b2a6a] Add patch to disable ssl.
    Thanks to Mike Christie
  * [d70e88a] Refresh patch
  * [b501aec] delete debian/patches/disable-isns.patch
  * [2cc67f7] spelling-error and hyphentation fixes
  * [b886116] Bump Standards Version to 3.9.2
  * [405ecfd] add autotools-dev to build-dep to ensure we have no stale
    configure scripts

 -- Ritesh Raj Sarraf <rrs@debian.org>  Fri, 26 Aug 2011 16:21:38 +0530

open-iscsi (2.0.871.3-6) unstable; urgency=low

  * [87c440c] fix gcc 4.6 build failure (Closes: #625152)

 -- Ritesh Raj Sarraf <rrs@debian.org>  Tue, 03 May 2011 00:22:07 +0530

open-iscsi (2.0.871.3-5) unstable; urgency=low

  * Last upload was incorrect. Really upload to unstable 

 -- Ritesh Raj Sarraf <rrs@debian.org>  Sat, 12 Feb 2011 02:00:34 +0530

open-iscsi (2.0.871.3-4) unstable; urgency=low

  * Reupload to unstable 

 -- Ritesh Raj Sarraf <rrs@debian.org>  Thu, 10 Feb 2011 20:17:07 +0530

open-iscsi (2.0.871.3-3) experimental; urgency=low

  * Install iscsid.conf with 0600 permission as it can contain passwords
    (Closes: #472965)
  * Provide an example for iSCSI root installation (Closes: #492358) 
  * Add support to enable multiple session to the iSCSI Target in the
    initramfs. Thanks to Norbert Tretkowski for the patch.
    (Closes: #598773) 
  * Add patch to support NICs that have native iSCSI support. Thanks to
    Bjoern Metzdorf for the patch. (Closes: #514924) 
  * cherry pick commit f0b670c0 from upstrem (Closes: #603990)
  * Bump Standards Version (No changes required) 

 -- Ritesh Raj Sarraf <rrs@debian.org>  Wed, 05 Jan 2011 13:43:42 +0545
