=== debian/changelog ===
open-iscsi (2.0.873-3ubuntu7) saucy; urgency=low

  * Use dh_autotools-dev to update config.sub|guess.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Fri, 11 Oct 2013 17:03:37 +0100

open-iscsi (2.0.873-3ubuntu6) saucy; urgency=low

  * debian/tests: Add autopkgtest.

 -- Yolanda <yolanda.robla@canonical.com>  Mon, 27 May 2013 10:39:35 +0200

open-iscsi (2.0.873-3ubuntu5) quantal-proposed; urgency=low

  * Ensure all udev events have been processed before trying to configure
    iscsi networking in the initramfs (LP: #1066945): 
    - debian/extra/initramfs.local-top: Restore wait_for_udev call before
      configure_networking to ensure network devices are present.

 -- James Page <james.page@ubuntu.com>  Wed, 17 Oct 2012 12:37:43 +0100

open-iscsi (2.0.873-3ubuntu4) quantal-proposed; urgency=low

  * Generate initiator name on install, not first boot, ensuring that the
    initramfs built during install contains a valid iSCSI initiator name
    resulting in a iSCSI based root volume that will actually boot
    (LP: #1057635):
    - debian/{rules,initiatorname.iscsi}: Don't install a default
      initiatorname.iscsi.
    - debian/open-iscsi.postinst: Generate initiatorname.iscsi on install.

 -- James Page <james.page@ubuntu.com>  Mon, 15 Oct 2012 12:42:53 +0100

open-iscsi (2.0.873-3ubuntu3) quantal; urgency=low

  * debian/open-iscsi.iscsi-network-interface.upstart: fix bad syntax
    in 'post-stop'

 -- Scott Moser <smoser@ubuntu.com>  Mon, 17 Sep 2012 16:50:22 -0400

open-iscsi (2.0.873-3ubuntu2) quantal; urgency=low

  * debian/extra/initramfs.local-top: start writing
    /run/initramfs/open-iscsi.interface file again (LP: #1050480)
  * debian/open-iscsi.iscsi-network-interface.upstart: integrate with
    resolvconf (LP: #1050487)

 -- Scott Moser <smoser@ubuntu.com>  Mon, 17 Sep 2012 15:46:26 -0400

open-iscsi (2.0.873-3ubuntu1) quantal; urgency=low

  * Merge from Debian. Remaining changes: (LP: #961114, LP: #677333)
    - Add upstart job iscsi-network-interface
    - Migrate from /var/run and /lib/init/rw to /run, from /var/lock to
      /run/lock.
  * Turn open-iscsi-utils into a transitional package

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 10 Jul 2012 13:53:52 -0400

open-iscsi (2.0.873-3) unstable; urgency=low

  * [4939401] Fix build to install udeb stuff only on supported architectures

 -- Ritesh Raj Sarraf <rrs@debian.org>  Wed, 27 Jun 2012 22:36:05 +0530

open-iscsi (2.0.873-2) unstable; urgency=low

  * [0019fa9] Restrict architecture for the udeb package as its dependency,
    scsi-modules, is not available on all the architecture paltforms

 -- Ritesh Raj Sarraf <rrs@debian.org>  Tue, 26 Jun 2012 18:54:17 +0530

open-iscsi (2.0.873-1) unstable; urgency=low

  * [53943f2] Load iscsi_ibft module to allow target session over iBFT.
    Thanks to JOORIS Emmanuel (Closes: #672122)
  * [ca41744] Delete old obsolete patches
  * [01a54bf] Drop old manpages already available upstream
  * [caf884c] ship upstream manpages for iscsi-iname and iscsistart
  * [a983848] Imported Upstream version 2.0.873

 -- Ritesh Raj Sarraf <rrs@debian.org>  Mon, 21 May 2012 23:54:53 +0530

open-iscsi (2.0.872+git0.6676a1cf-2) unstable; urgency=low

  * Upload to unstable
  * [cb80472] Fix default iscsid path in config file.
    Thanks to Michal Suchanek (Closes: #650221)

 -- Ritesh Raj Sarraf <rrs@debian.org>  Tue, 24 Apr 2012 09:41:08 +0530

open-iscsi (2.0.872+git0.6676a1cf-1) experimental; urgency=low

  [ Ritesh Raj Sarraf ]
  * New Upstream git snapshot (Closes: #645752) 
  * [ce26f7c] Imported Upstream version 2.0.872+git0.6676a1cf
  * [9ad08d7] also include iscsitart in the udeb
  * [bc79ad2] refresh patch debian/patches/spelling-error-fixes.patch
  * [0286328] refresh patch 004_make-iscsistart-a-dynamic-binary.patch
  * [360a509] Drop patches:
    + iscsi-dont-build-with-ssl.patch and
    + disable-isns-security.patch
  * [350db4d] rename and reorder patches
  * [794fa4f] Package-Type is now an understood feild by dpkg
  * [593f187] Add hardened build flags.
    Thanks to Moritz Muehlenhoff (Closes: #659662)
  * [cf4c6c3] Kill iscsid processes properly, on stop.
    Thanks to Gwendal Grignou (Closes: #665966)
  * [f1a9d2f] linitan fixes for spelling errors and manpage hyphen errors
  * [a8560c8] add and fix lsb headers for init files

  [ Colin Watson ]
  * [156b745] open-iscsi: add a udeb (Closes: #635161)

 -- Ritesh Raj Sarraf <rrs@debian.org>  Sat, 07 Apr 2012 21:02:37 +0530

open-iscsi (2.0.871-0ubuntu9) oneiric-proposed; urgency=low

  * Make sure the upstart job triggers ifupdown's upstart script to avoid
    waiting 2 minutes at boot time for network to come up. (LP: #870214)

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 11 Oct 2011 22:31:39 +0100

open-iscsi (2.0.871-0ubuntu8) oneiric; urgency=low

  * Disable open-iscsi init script when root is on iscsi (LP: #838809)

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 15 Sep 2011 10:01:12 -0400

open-iscsi (2.0.871-0ubuntu7) oneiric; urgency=low

  * Migrate from /var/run and /lib/init/rw to /run, from /var/lock to
    /run/lock, and from /dev/.initramfs to /run/initramfs.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 14 Jul 2011 17:01:42 +0100

open-iscsi (2.0.871-0ubuntu6) oneiric; urgency=low

  * Fix initramfs iSCSI login (many thanks to Amos Hayes for lending me a
    test system; LP: #728088):
    - Write out /dev/.initramfs/open-iscsi.interface in the same subshell as
      configure_networking, so that we can get at the value of DEVICE.
    - Wait for udev to settle before attempting to configure networking.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 27 May 2011 23:27:31 +0100

open-iscsi (2.0.871-0ubuntu5) maverick; urgency=low

  * Include <sys/types.h> and <sys/stat.h> in usr/iscsi_sysfs.c for S_*
    macros (LP: #600953).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 02 Jul 2010 17:08:14 +0100

open-iscsi (2.0.871-0ubuntu4) lucid; urgency=low


