=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,9 @@
 
 # get-orig-source target
 DEB_UPSTREAM_VERSION=$(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^-]+).*,\1,p')
+
+DEB_HOST_ARCH?=$(shell dpkg-architecture -qDEB_HOST_ARCH)
+SUPPORTED_ARCH_UDEB = amd64 i386 ia64 mips mipsel powerpc
 
 get-orig-source:
 	[ ! -f $(ORIG_FILE).gz ] || rm -f $(ORIG_FILE).gz
@@ -27,7 +30,7 @@
 configure-stamp:
 	dh_testdir
 	# Add here commands to configure the package.
-
+	dh_autotools-dev_updateconfig
 	touch configure-stamp
 
 
@@ -62,6 +65,7 @@
 	$(MAKE) -C utils clean
 	rm -rf modules
 
+	dh_autotools-dev_restoreconfig
 	dh_clean 
 
 install: install-arch
@@ -81,9 +85,20 @@
 	install -m 755 usr/iscsistart $(CURDIR)/debian/open-iscsi/usr/sbin
 	install -m 755 utils/iscsi_discovery $(CURDIR)/debian/open-iscsi/usr/sbin
 	install -m 755 utils/iscsi-iname $(CURDIR)/debian/open-iscsi/usr/sbin
-	install -m 644 debian/initiatorname.iscsi $(CURDIR)/debian/open-iscsi/etc/iscsi/initiatorname.iscsi
 	install -m 600 etc/iscsid.conf $(CURDIR)/debian/open-iscsi/etc/iscsi
 	install -m 644 debian/open-iscsi.default $(CURDIR)/debian/open-iscsi/etc/default/open-iscsi
+
+ifneq (,$(findstring $(DEB_HOST_ARCH),$(SUPPORTED_ARCH_UDEB)))
+	# udeb stuff
+	install -m 755 usr/iscsiadm $(CURDIR)/debian/open-iscsi-udeb/bin
+	install -m 755 utils/iscsi-iname $(CURDIR)/debian/open-iscsi-udeb/sbin
+	install -m 755 utils/iscsi_discovery $(CURDIR)/debian/open-iscsi-udeb/sbin
+	install -m 755 usr/iscsid $(CURDIR)/debian/open-iscsi-udeb/sbin
+	install -m 755 usr/iscsistart $(CURDIR)/debian/open-iscsi-udeb/sbin
+	install -m 644 etc/iscsid.conf $(CURDIR)/debian/open-iscsi-udeb/etc/iscsi
+	install -m 644 debian/open-iscsi-udeb.start $(CURDIR)/debian/open-iscsi-udeb/sbin/iscsi-start
+	install -m 755 debian/open-iscsi-udeb.finish-install $(CURDIR)/debian/open-iscsi-udeb/usr/lib/finish-install.d/10open-iscsi
+endif
 
 	# initramfs stuff
 	install -m 755 debian/extra/initramfs.hook \
@@ -104,6 +119,7 @@
 	dh_installexamples
 	dh_installinit -u 'start 45 S . stop 81 0 1 6 .' --no-start
 	dh_installinit -u 'stop 80 0 1 6 .' --no-start --name=umountiscsi.sh
+	dh_installinit --name=iscsi-network-interface -n --upstart-only
 	dh_installman
 	dh_link
 	dh_strip
@@ -117,7 +133,7 @@
 	dh_builddeb
 # Build architecture independant packages using the common target.
 binary-indep: build-indep install-indep
-#	$(MAKE) -f debian/rules DH_OPTIONS=-i binary-common
+	$(MAKE) -f debian/rules DH_OPTIONS=-i binary-common
 
 # Build architecture dependant packages using the common target.
 binary-arch: build-arch install-arch
