=== debian/tests/control ===
Tests: daemon testsuite
Depends: open-iscsi
Restrictions: needs-root
