## open-iscsi 2.0.873%2Bgit0.3b4b4500

=== debian/changelog ===
open-iscsi (2.0.873+git0.3b4b4500-14ubuntu3.7) xenial; urgency=medium

  [Scott Moser]
  * debian/extra/initramfs.local-top: handle iSCSI iBFT DHCP to correctly
    run ipconfig to gather all DHCP config info, including DNS search
    domain, which iBFT can't provide.  (LP: #1806777)

 -- Dan Streetman <ddstreet@canonical.com>  Wed, 05 Dec 2018 14:33:36 -0500

open-iscsi (2.0.873+git0.3b4b4500-14ubuntu3.6) xenial; urgency=medium

  * d/net-interface-handler: replace 'domainsearch' with the correct
    configuration option 'search' in net-interface-handler (LP: #1791108)

 -- Victor Tapia <victor.tapia@canonical.com>  Mon, 17 Sep 2018 16:39:15 +0200

open-iscsi (2.0.873+git0.3b4b4500-14ubuntu3.5) xenial; urgency=medium

  * d/tests: pull back cloud image test updates from cosmic.
  * d/net-interface-handler: Apply changes only for the iscsi-root
    (LP: #1785108)

 -- Scott Moser <smoser@ubuntu.com>  Thu, 02 Aug 2018 15:09:53 -0400

open-iscsi (2.0.873+git0.3b4b4500-14ubuntu3.4) xenial; urgency=medium

  * d/p/08_Parse-origin-value-from-iBFT.patch
  * d/p/09_Represent-DHCP-origin-as-an-enum-not-a-string.patch
  * d/p/10_iBFT-origin-is-an-enum-not-a-string.patch
      - Cherry pick upstream patches to parse IP origin passed in by IBFT.
        iscsistart -f will now display the correct iface.bootproto
        (e.g. static or dhcp) (LP: #1684039)

  * d/extra/initramfs.local-top: When booting from iBFT,
    set the PROTO= entry in /run/net-*.conf accordingly,
    so that other tools, such as cloud-init, can use that
    information. (cloud-init fails if the current PROTO=none
    is used.) (Closes: #866213)

 -- Trent Lloyd <trent.lloyd@canonical.com>  Fri, 23 Jun 2017 18:03:36 +0800

open-iscsi (2.0.873+git0.3b4b4500-14ubuntu3.3) xenial; urgency=medium

  * Fix syntax error in previous changes. LP: #1621507

 -- LaMont Jones <lamont@ubuntu.com>  Fri, 09 Dec 2016 11:44:56 +0100

open-iscsi (2.0.873+git0.3b4b4500-14ubuntu3.2) xenial; urgency=medium

  [ LaMont Jones ]
  * Clean up net-interface-handler
  * Source /run/net6-*.conf when needed.

  [ Mathieu Trudel-Lapierre ]
  * debian/extra/initramfs.local-top: handle IPv6 configs being shipped in
    DEVICE6 or /run/net6-*.conf in the initramfs, so we can fill in
    /run/initramfs/open-iscsi.interface (LP: #1621507)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Tue, 08 Nov 2016 15:52:50 -0500

open-iscsi (2.0.873+git0.3b4b4500-14ubuntu3.1) xenial; urgency=medium

  * add support for IPV6{DOMAINSEARCH,DNS0,DNS1} to net-interface-handler
    (LP: #1621507)

 -- LaMont Jones <lamont@canonical.com>  Tue, 20 Sep 2016 08:05:41 -0600

open-iscsi (2.0.873+git0.3b4b4500-14ubuntu3) xenial; urgency=medium

  * Cherry-pick from Debian git repository (Christian Seiler):
    - open-iscsi-udeb: drop Depends: libnss-files-udeb (Closes: #819685)

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 15 Apr 2016 16:54:26 +0100

open-iscsi (2.0.873+git0.3b4b4500-14ubuntu2) xenial; urgency=medium

  * debian/tests: add two new tests.  One to verify net-interface-handler is
    installed executable, and one to actually test that /etc/resolv.conf is
    updated with dhcp dns responses.

 -- Diogo Matsubara <diogo.matsubara@gmail.com>  Wed, 09 Mar 2016 12:56:42 -0300

open-iscsi (2.0.873+git0.3b4b4500-14ubuntu1) xenial; urgency=medium

  * Merge from debian. Remaining changes:
    - debian/tests: Add Ubuntu autopkgtest.
    - debian/iscsi-network-interface.rules, debian/net-interface-handler,
      debian/open-iscsi.install:
      Prevent network interface that contains iscsi root from bouncing
      during boot or going down during shutdown.
      Integrates with resolvconf and initramfs code that writes
      /run/initramfs/open-iscsi.interface
    - debian/open-iscsi.maintscript: clean up the obsolete
      iscsi-network-interface upstart job, file on upgrade.
  * make debian/net-interface-handler executable (LP: #1553017)

 -- Scott Moser <smoser@ubuntu.com>  Fri, 04 Mar 2016 13:17:45 -0500

open-iscsi (2.0.873+git0.3b4b4500-14) unstable; urgency=medium

  [ Christian Seiler ]
  * [7ec2450] debian/control: fix typo in Vcs-Git field
  * [b98ca63] debian/control: bump Standards-Version to 3.9.7

  [ Mathieu Trudel-Lapierre ]
  * [f5b850a] udeb: don't generate initiator name if already present
    (Closes: #816632)

 -- Christian Seiler <christian@iwakd.de>  Thu, 03 Mar 2016 18:47:46 +0100

open-iscsi (2.0.873+git0.3b4b4500-13ubuntu1) xenial; urgency=medium

  * Merge from Debian (LP: #1546877). Remaining changes:
    - debian/tests: Add Ubuntu autopkgtest.
    - debian/iscsi-network-interface.rules, debian/net-interface-handler,
      debian/open-iscsi.install:
      Prevent network interface that contains iscsi root from bouncing
      during boot or going down during shutdown.
      Integrates with resolvconf and initramfs code that writes
      /run/initramfs/open-iscsi.interface
    - debian/open-iscsi.maintscript: clean up the obsolete
      iscsi-network-interface upstart job, file on upgrade.

 -- Scott Moser <smoser@ubuntu.com>  Thu, 18 Feb 2016 00:53:37 -0500

open-iscsi (2.0.873+git0.3b4b4500-13) unstable; urgency=medium

  [ Christian Seiler ]
  * [d95ccde] initramfs: fix initramfs creation bug
    (too many symbolic links)
  * [f6246a8] Use triggers instead of update-initramfs
  * [16283ac] Unconditionally add iSCSI to initramfs images
  * [5cf584f] Support RFC 4173 root=iscsi:... format (Closes: #804162)
  * [b12b4b9] Make sure initiatorname.iscsi isn't an obsolete conffile.
  * [06ce1d3] Don't consider iscsiadm exit code 15 to be an error
    (Partial-Fix-For: #809320)
  * [481cedd] Support network autoconfiguration if iscsi_auto is used
    (Closes: #804591)
  * [3b3fa00] Record network device that was configured for iSCSI
  * [508fcba] Handle the default route for iscsi_auto
  * [64b0f31] Fix handling of multiple kept sessions on shutdown
    (Closes: #809320)
  * [df7259e] Fix FTBR on armhf (reproducible builds)

  [ Marco d'Itri ]

